Subject: Re: kernel bug in socketpair()

From: "David S. Miller" <[email-masked]>
Date: Wed, 23 Jul 2003 07:04:31 -0700

On Wed, 23 Jul 2003 09:32:09 -0400 (EDT)
David Korn <[email-masked]> wrote:

[ Added [email-masked], the proper place to discuss networking kernel issues. ]

> The first problem is that files created with socketpair() are not accessible
> via /dev/fd/n or /proc/$$/fd/n where n is the file descriptor returned
> by socketpair().  Note that this is not a problem with pipe().

Not a bug.

Sockets are not openable via /proc files under any circumstances,
not just the circumstances you describe.  This is a policy decision and
prevents a whole slew of potential security holes.